Analytics

Email Account Stats

POST/v1/analytics/emailaccount/stats
POST
/v1/analytics/emailaccount/stats

Get comprehensive analytics and statistics for a specific email account including engagement metrics, sentiment analysis, and performance data.

Authorization

x-api-key<token>

API key for Open API authentication

In: header

Request Body

application/jsonRequired

emailIdstring

Id of the email account

Example: "2dP27N0gZ4"

Responses

200
Email Account consolidated fetched successfully
{
  "message": "Email Account consolidated fetched successfully",
  "payload": {
    "Email Analytics": [
      {
        "Email Address": "",
        "Name": "",
        "ESP": "",
        "Sequence Count": 0,
        "Setup Score": 0,
        "Inbox Score": 0,
        "Total Contacted": 0,
        "Total Sent": 0,
        "Opens": 0,
        "Clicked": 0,
        "Replies": 0,
        "Bounce Rate": 0,
        "Unsubscribed": 0,
        "Not Now": 0,
        "Do Not Contact": 0,
        "Uncategorized": 0,
        "Positive Sentiments": 0,
        "Negative Sentiments": 0,
        "Neutral Sentiments": 0,
        "Interested": 0,
        "Meeting Booked": 0,
        "Out of Office": 0,
        "Not Interested": 0,
        "Tags": [],
        "Owner": ""
      }
    ],
    "EmailAccountId": "2dP27N0gZ4",
    "Email Address": "[email protected]",
    "client": {
      "id": "g9bzZq4aMd",
      "firstName": "john",
      "lastName": "doe",
      "status": "active",
      "companyName": "Demo"
    }
  }
}

Request

curl -X POST \
  "https://open-api.saleshandy.com/v1/analytics/emailaccount/stats" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "emailId": "2dP27N0gZ4"
}'

Response

No response body